# QStandardItem Class Reference

### [com.trolltech.qt.gui package]

### Constructor

- void QStandardItem()
- void QStandardItem(QIcon icon, String text)
- void QStandardItem(String text)
- void QStandardItem(int rows, int columns)

### Constructor Properties

- prototype: The QStandardItem prototype object
- Type = 0
- UserType = 1000
- ItemType( value )

### Prototype Object Properties

- String accessibleDescription()
- String accessibleText()
- void appendColumn(List items)
- void appendRow(QStandardItem item)
- void appendRows(List items)
- QBrush background()
- CheckState checkState()
- QStandardItem child(int row, int column)
- QStandardItem clone()
- int column()
- int columnCount()
- Object data(int role)
- ItemFlags flags()
- QFont font()
- QBrush foreground()
- bool hasChildren()
- QIcon icon()
- QModelIndex index()
- void insertColumn(int column, List items)
- void insertColumns(int column, int count)
- void insertRow(int row, QStandardItem item)
- void insertRows(int row, List items)
- bool isCheckable()
- bool isDragEnabled()
- bool isDropEnabled()
- bool isEditable()
- bool isEnabled()
- bool isSelectable()
- bool isTristate()
- QStandardItemModel model()
- QStandardItem parent()
- void readFrom(QDataStream in)
- void removeColumn(int column)
- void removeColumns(int column, int count)
- void removeRow(int row)
- void removeRows(int row, int count)
- int row()
- int rowCount()
- void setAccessibleDescription(String accessibleDescription)
- void setAccessibleText(String accessibleText)
- void setBackground(QBrush brush)
- void setCheckState(CheckState checkState)
- void setCheckable(bool checkable)
- void setChild(int row, QStandardItem item)
- void setColumnCount(int columns)
- void setData(Object value, int role)
- void setDragEnabled(bool dragEnabled)
- void setDropEnabled(bool dropEnabled)
- void setEditable(bool editable)
- void setEnabled(bool enabled)
- void setFlags(ItemFlags flags)
- void setFont(QFont font)
- void setForeground(QBrush brush)
- void setIcon(QIcon icon)
- void setRowCount(int rows)
- void setSelectable(bool selectable)
- void setSizeHint(QSize sizeHint)
- void setStatusTip(String statusTip)
- void setText(String text)
- void setTextAlignment(Alignment textAlignment)
- void setToolTip(String toolTip)
- void setTristate(bool tristate)
- void setWhatsThis(String whatsThis)
- QSize sizeHint()
- void sortChildren(int column, SortOrder order)
- String statusTip()
- QStandardItem takeChild(int row, int column)
- List takeColumn(int column)
- List takeRow(int row)
- String text()
- Alignment textAlignment()
- String toolTip()
- int type()
- String whatsThis()
- void writeTo(QDataStream out)

### Instance Properties

QStandardItem objects have no special properties beyond those inherited from the QStandardItem prototype object.